\documentclass[a4paper, trou]{./tpl/ddpoly-en}
\usepackage{dirtree}
\usepackage{wasysym}
\usepackage{mathtools}
\usepackage{enumitem}
\setlist{nolistsep}

\input{macro}
\input{tpl/listing-config}

  
\graphicspath{{tpl/}{img/}}
\ddmodulename{Computer Science}
\ddmodulenumber{Tutorial Minidem}
\ddauthor{D. André}
\dduniv{Ensil-Ensci}
\ddimg{\begin{center}\includegraphics[width=6cm]{img/arduino-logo}\end{center}}
\rien



\begin{document}
\renewcommand{\labelitemi}{$\bullet$}
\lstset{language=granCpp,style=granCpp}  
\lstset{language=granPython,style=granPython}  


\newdemexo{11}{Interacting Live with the Simulation (Part 1)}

\noindent The goal of this tutorial is to show you how to interact live with the user. This example demonstrates how to:
\begin{itemize}
\item capture keyboard events such as pressing the spacebar to start the simulation with the function \texttt{on\_press(event)}
\item retrieve the mouse coordinates and display them in the title bar with the function \texttt{mouse\_move(event)}.
\end{itemize}

\vspace{0.5cm}

\begin{task}
  Download the module \dldem{minidem.py} and the script
  \dltutodem{11}{tuto-11\_exercice.py}. Run the script
  \dltutodem{11}{tuto-11\_exercice.py}.
\end{task}

\begin{info}
At this point, you should obtain a simulation similar to the video \dltutodem{11}{tuto-11\_exercice.mp4}.
\end{info}

\begin{task}
  Create a new yellow grain in the \texttt{main} block.
\end{task}

\begin{task}
  Modify the function \texttt{apply\_boundary\_condition()} to impose:
  \begin{enumerate}
  \item a position of the yellow grain equal to the current mouse coordinates
  \item zero velocity for the yellow grain
  \end{enumerate}
\end{task}

\begin{info}
  At this point, you should obtain a simulation similar to the video \dltutodem{11}{tuto-11\_correction.mp4}.
\end{info}

\end{document}
